### Method

# Fwupd Device set_details_url

since: 2.1.2

#### Declaration [src]

    void
    fwupd_device_set_details_url (
      FwupdDevice* self,
      const gchar* details_url
    )

#### Description [src]

Sets the device URL.

Available since: 2.1.2

#### Parameters

`details_url`

  Type: `const gchar*`

  A URL, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.